pydo.functions.get_trigger()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.functions.get_trigger(
    namespace_id="fn-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    trigger_name="my trigger",
)
Returns JSONRaises HttpResponseError

Description

Gets the trigger details. To get the trigger details, send a GET request to /v2/functions/namespaces/{namespace_id}/triggers/{trigger_name}.

Parameters

namespace_id string required

The ID of the namespace to be managed.

trigger_name string required

The name of the trigger to be managed.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.functions.get_trigger(namespace_id="aff93af3", trigger_name="trig_name")

Response Example

Show Response Example
{
  "trigger": {
    "namespace": "fn-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "my trigger",
    "function": "hello",
    "type": "SCHEDULED",
    "is_enabled": true,
    "created_at": "2022-11-11T04:16:45Z",
    "updated_at": "2022-11-11T04:16:45Z",
    "scheduled_details": {
      "cron": "* * * * *"
    },
    "scheduled_runs": {
      "last_run_at": "2022-11-11T04:16:45Z",
      "next_run_at": "2022-11-11T04:16:45Z"
    }
  }
}

More Information

See /v2/functions/namespaces/{namespace_id}/triggers/{trigger_name} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.